Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.widget.google.provider
Class GGWidgetInfoBuilder

    java.lang.Object
      org.jboss.portal.widget.google.provider.GGWidgetInfoBuilder

    public class GGWidgetInfoBuilder

extends java.lang.Object

Build widget meta data from its URL.

Version:
  $Revision: 9212 $
Author:
  Julien Viet

Constructor Summary
`GGWidgetInfoBuilder(java.net.URL url)`

Method Summary
`GGWidgetInfo` | `create()` Build the widget info from the url or throws an exception if it is not possible.
`java.net.URL` | `getURL()`
`protected byte[]` | `obtainLocaleBundle(java.net.URL url)` needed for testing
`protected byte[]` | `obtainWidget(java.net.URL url)` needed for testing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GGWidgetInfoBuilder

    public GGWidgetInfoBuilder(java.net.URL url)

Method Detail

### getURL

    public java.net.URL getURL()

### create

    public GGWidgetInfo create()
                        throws WidgetException,
                               java.net.MalformedURLException

  Build the widget info from the url or throws an exception if it is not possible.

  Returns:
    the widget info
  Throws:
    `java.lang.Exception`
    `WidgetException`
    `java.net.MalformedURLException`

### obtainWidget

    protected byte[] obtainWidget(java.net.URL url)
                           throws java.lang.IllegalArgumentException

  needed for testing

  Throws:
    `java.lang.IllegalArgumentException`

### obtainLocaleBundle

    protected byte[] obtainLocaleBundle(java.net.URL url)
                                 throws java.lang.IllegalArgumentException

  needed for testing

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD